> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1webhookscallsreceivepipecat



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/calls/receive/pipecat
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/calls/receive/pipecat:
    post:
      tags:
        - Calls
      operationId: calls.receivePipecatWebhook
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                call_id:
                  type: string
                  description: Extract webhook payload
                event:
                  type: string
                status:
                  type: string
                duration:
                  type: string
                pipeline_duration:
                  type: string
                  description: Twilio's billed CallDuration
                outcome:
                  type: string
                  description: Internal pipeline uptime
                recording_url:
                  type: string
                transcript_url:
                  type: string
                end_reason:
                  type: string
                transcript:
                  type: string
                is_final:
                  type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Call not found
                required:
                  - error
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````